
clear
loc path "[---- add path to folder with dataset.dta ----]"
cd "`path'"
set more off
set matsize 1000
use dataset

*---------------------------------------------------------------------*
*            Table 2 
*---------------------------------------------------------------------*
loc cap mincap targetmincap	cap	cgrcap hhsc	fcsc 
loc rw rwmol rwmolfc rwcons	rwconsfc rwcorp rwcorpfc rwcc
loc dyn gp dp dpfc 
loc liq rr rrfc rrbase lr fclr mrr srr cgr cc
loc elig ltv ltvfc dti dtifc
loc other otherfc  
set more off
foreach v of var `cap' `rw' `dyn' `liq' `elig' `other' {
	display "`v'" 
	gen x = d.`v' 
	tab country if x!=0 & x!=.
	drop x
}


*---------------------------------------------------------------------*
*            Figure 1 
*---------------------------------------------------------------------*
clear 
use dataset
graph twoway tsline lnhpi, by(country, note("") title("")) legend(off) ///
	xtitle("") xlabel(, angle(90)) ytitle("Real house price index (in ln)" "[set to zero in 2008Q3]", size(small)) 
graph save "`path'\hpi.gph", replace


*---------------------------------------------------------------------*
*            Figure 3 
*---------------------------------------------------------------------*

* normalize mpp1 to zero for first observation
bys countrynum (quarter2): gen mpp_norm = d.mpp1
bys countrynum (quarter2): replace mpp_norm = 100 if mpp1[_n-1]==. & mpp1!=. & mpp1[_n+1]!=. 
bys countrynum (quarter2): replace mpp_norm = sum(mpp_norm)
replace mpp_norm = . if mpp_norm==0
gen mpp_norm2 = mpp_norm-100

* graph
graph twoway tsline mpp_norm2, by(country, note("") title("")) legend(off) xtitle("") xlabel(, angle(90)) ///
	ytitle("Strength of prudential regulation" "[set to 0 for 1st observation]", size(small)) yscale(range(-5 15)) 
graph save "`path'\MPPregulation.gph", replace

		
		